using System.ComponentModel;

namespace APT.BaseData.Domain.Enums
{
    /// <summary>
    /// 列类型
    /// </summary>
    public enum PFColumnTypeEnum
    {
        [Description("普通")]
        普通 = 1,

        [Description("自定义")]
        自定义 = 2

    }


	public enum PFBtnTypeEnum
	{
		[Description("自定义弹窗")]
		自定义弹窗 = 0,
		[Description("保存")]
		保存 = 1,
		[Description("刷新")]
		刷新 = 2,
		[Description("新增")]
		新增 = 3,
		[Description("删除")]
		删除 = 4,
		[Description("编辑")]
		编辑 = 5,
		[Description("自定义按钮事件")]
		自定义按钮事件 = 6,
		[Description("自定义")]
		自定义 = 7,
		[Description("查看")]
		查看 = 8,
		[Description("导出")]
		导出 = 9,
		[Description("复制新增")]
		复制新增 = 10,
        [Description("导入")]
        导入 = 11,
		[Description("列表弹窗")]
		列表弹窗 = 12,
		[Description("批量新增")]
		批量新增 = 13,
		[Description("组合表单")]
		组合表单 = 14,
		[Description("自定义导入")]
		自定义导入 = 15,
		[Description("带参数自定义弹窗")]
		带参数自定义弹窗 = 16,
		[Description("树弹窗")]
		树弹窗 = 17,
		[Description("Word模板打印")]
		Word模板打印 = 18,
		[Description("CheckBox")]
		CheckBox = 20,
	}
	 
	public enum PFBtnPageTypeEnum
	{
		[Description("列表页")]
		列表页 = 0,
		[Description("编辑页")]
		编辑页 = 1,
		[Description("自定义页")]
		自定义页 = 2,
	}

	public enum PFBtnFuncTypeEnum
	{
		[Description("按钮")]
		按钮 = 0,
		[Description("行按钮")]
		行按钮 = 1,
	}

	public enum ColumnFooterSumTypeEnum
	{
		无 = 0,
		总计 = 1,
		平均值 = 2,
		最大值 = 3,
		最小值 = 4,
		字符串分组 = 5,
	}


	public enum PFBtnSaveCloseTypeEnum
	{
		全部关闭 = 0,
		仅编辑关闭 = 1,
		仅新增关闭 = 2,
	}

	public enum PFBtnSaveClearTypeEnum
	{
		清空数据 = 0,
		保留数据 = 1,
	}
}
